org.apache.ignite.internal.client.impl

## Class GridClientDataMetricsAdapter

- java.lang.Object
- - org.apache.ignite.internal.client.impl.GridClientDataMetricsAdapter

All Implemented Interfaces:
  Serializable, GridClientDataMetrics

    public class GridClientDataMetricsAdapter
    extends Object
    implements GridClientDataMetrics

Adapter for cache metrics.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientDataMetricsAdapter()`

### Method Summary

Methods
`long` `createTime()` Gets create time of the owning entity (either cache or entry).
`void` `createTime(long createTime)` Sets creation time.
`int` `hits()` Gets total number of hits for the owning entity (either cache or entry).
`void` `hits(int hits)` Sets number of hits.
`int` `misses()` Gets total number of misses for the owning entity (either cache or entry).
`void` `misses(int misses)` Sets number of misses.
`int` `reads()` Gets total number of reads of the owning entity (either cache or entry).
`void` `reads(int reads)` Sets number of reads.
`long` `readTime()` Gets last read time of the owning entity (either cache or entry).
`void` `readTime(long readTime)` Sets read time.
`String` `toString()`
`int` `writes()` Gets total number of writes of the owning entity (either cache or entry).
`void` `writes(int writes)` Sets number of writes.
`long` `writeTime()` Gets last write time of the owning entity (either cache or entry).
`void` `writeTime(long writeTime)` Sets write time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientDataMetricsAdapter

    public GridClientDataMetricsAdapter()

### Method Detail

#### createTime

    public long createTime()

Gets create time of the owning entity (either cache or entry).

Specified by:
  `createTime` in interface `GridClientDataMetrics`
Returns:
  Create time.

#### writeTime

    public long writeTime()

Gets last write time of the owning entity (either cache or entry).

Specified by:
  `writeTime` in interface `GridClientDataMetrics`
Returns:
  Last write time.

#### readTime

    public long readTime()

Gets last read time of the owning entity (either cache or entry).

Specified by:
  `readTime` in interface `GridClientDataMetrics`
Returns:
  Last read time.

#### reads

    public int reads()

Gets total number of reads of the owning entity (either cache or entry).

Specified by:
  `reads` in interface `GridClientDataMetrics`
Returns:
  Total number of reads.

#### writes

    public int writes()

Gets total number of writes of the owning entity (either cache or entry).

Specified by:
  `writes` in interface `GridClientDataMetrics`
Returns:
  Total number of writes.

#### hits

    public int hits()

Gets total number of hits for the owning entity (either cache or entry).

Specified by:
  `hits` in interface `GridClientDataMetrics`
Returns:
  Number of hits.

#### misses

    public int misses()

Gets total number of misses for the owning entity (either cache or entry).

Specified by:
  `misses` in interface `GridClientDataMetrics`
Returns:
  Number of misses.

#### createTime

    public void createTime(long createTime)

Sets creation time.

Parameters:
  `createTime` - Creation time.

#### readTime

    public void readTime(long readTime)

Sets read time.

Parameters:
  `readTime` - Read time.

#### writeTime

    public void writeTime(long writeTime)

Sets write time.

Parameters:
  `writeTime` - Write time.

#### reads

    public void reads(int reads)

Sets number of reads.

Parameters:
  `reads` - Number of reads.

#### writes

    public void writes(int writes)

Sets number of writes.

Parameters:
  `writes` - Number of writes.

#### hits

    public void hits(int hits)

Sets number of hits.

Parameters:
  `hits` - Number of hits.

#### misses

    public void misses(int misses)

Sets number of misses.

Parameters:
  `misses` - Number of misses.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015